Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DOMConfigurationImpl

    java.lang.Object
      |
      +--org.apache.xerces.util.ParserConfigurationSettings
            |
            +--org.apache.xerces.dom.DOMConfigurationImpl

All Implemented Interfaces:
  org.apache.xerces.dom3.DOMConfiguration, org.apache.xerces.xni.parser.XMLComponentManager, org.apache.xerces.xni.parser.XMLParserConfiguration

public class DOMConfigurationImpl
extends ParserConfigurationSettings
implements org.apache.xerces.xni.parser.XMLParserConfiguration, org.apache.xerces.dom3.DOMConfiguration

Xerces implementation of DOMConfiguration that maintains a table of recognized parameters.

Version:
  $Id: DOMConfigurationImpl.java,v 1.3 2002/12/31 01:55:05 elena Exp $
Author:
  Elena Litani, IBM

Field Summary
`protected static short` | `CDATA`
`protected static short` | `COMMENTS`
`protected static short` | `DTNORMALIZATION`
`protected static java.lang.String` | `DYNAMIC_VALIDATION`
`protected static short` | `ENTITIES`
`protected static java.lang.String` | `ENTITY_MANAGER` Property identifier: entity manager.
`protected static java.lang.String` | `ENTITY_RESOLVER` Property identifier: entity resolver.
`protected static java.lang.String` | `ERROR_HANDLER` Property identifier: error handler.
`protected static java.lang.String` | `ERROR_REPORTER` Property identifier: error reporter.
`protected java.util.Vector` | `fComponents` Components.
`protected short` | `features` Normalization features
`protected DOMErrorHandlerWrapper` | `fErrorHandlerWrapper`
`protected XMLErrorReporter` | `fErrorReporter` Error reporter
`protected java.util.Locale` | `fLocale` Locale.
`protected SymbolTable` | `fSymbolTable` Symbol table.
`protected ValidationManager` | `fValidationManager`
`protected static java.lang.String` | `GRAMMAR_POOL` Property id: Grammar pool
`protected static java.lang.String` | `JAXP_SCHEMA_LANGUAGE` Property identifier: JAXP schema language / DOM schema-type.
`protected static java.lang.String` | `JAXP_SCHEMA_SOURCE` Property identifier: JAXP schema source/ DOM schema-location.
`protected static short` | `NAMESPACES`
`protected static java.lang.String` | `NORMALIZE_DATA`
`protected static short` | `PSVI`
`protected static java.lang.String` | `SCHEMA`
`protected static java.lang.String` | `SEND_PSVI` sending psvi in the pipeline
`protected static short` | `SPLITCDATA`
`protected static java.lang.String` | `SYMBOL_TABLE` Property identifier: symbol table.
`protected static short` | `VALIDATE`
`protected static java.lang.String` | `VALIDATION_MANAGER`
`protected static java.lang.String` | `XERCES_NAMESPACES` Feature identifier: namespaces.
`protected static java.lang.String` | `XERCES_VALIDATION` Feature identifier: validation.
`protected static java.lang.String` | `XML_STRING` Property identifier: xml string.

Fields inherited from class org.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties`

Constructor Summary
`protected` | `DOMConfigurationImpl()` Default Constructor.
`protected` | `DOMConfigurationImpl(SymbolTable symbolTable)` Constructs a parser configuration using the specified symbol table.
`protected` | `DOMConfigurationImpl(SymbolTable symbolTable, org.apache.xerces.xni.parser.XMLComponentManager parentSettings)` Constructs a parser configuration using the specified symbol table and parent settings.

Method Summary
`protected void` | `addComponent(org.apache.xerces.xni.parser.XMLComponent component)`
`boolean` | `canSetParameter(java.lang.String name, java.lang.Object state)` DOM Level 3 WD - Experimental.
`protected void` | `checkProperty(java.lang.String propertyId)` Check a property.
`protected ValidationManager` | `createValidationManager()`
`org.apache.xerces.xni.XMLDocumentHandler` | `getDocumentHandler()` Returns the registered document handler.
`org.apache.xerces.xni.XMLDTDContentModelHandler` | `getDTDContentModelHandler()` Returns the registered DTD content model handler.
`org.apache.xerces.xni.XMLDTDHandler` | `getDTDHandler()` Returns the registered DTD handler.
`org.apache.xerces.xni.parser.XMLEntityResolver` | `getEntityResolver()` Return the current entity resolver.
`org.apache.xerces.xni.parser.XMLErrorHandler` | `getErrorHandler()` Return the current error handler.
`java.util.Locale` | `getLocale()` Returns the locale.
`java.lang.Object` | `getParameter(java.lang.String name)` DOM Level 3 WD - Experimental.
`void` | `parse(org.apache.xerces.xni.parser.XMLInputSource inputSource)` Parse an XML document.
`protected void` | `reset()` reset all components before parsing
`void` | `setDocumentHandler(org.apache.xerces.xni.XMLDocumentHandler documentHandler)` Sets the document handler on the last component in the pipeline to receive information about the document.
`void` | `setDTDContentModelHandler(org.apache.xerces.xni.XMLDTDContentModelHandler handler)` Sets the DTD content model handler.
`void` | `setDTDHandler(org.apache.xerces.xni.XMLDTDHandler dtdHandler)` Sets the DTD handler.
`void` | `setEntityResolver(org.apache.xerces.xni.parser.XMLEntityResolver resolver)` Sets the resolver used to resolve external entities.
`void` | `setErrorHandler(org.apache.xerces.xni.parser.XMLErrorHandler errorHandler)` Allow an application to register an error event handler.
`void` | `setFeature(java.lang.String featureId, boolean state)` Set the state of a feature.
`void` | `setLocale(java.util.Locale locale)` Set the locale to use for messages.
`void` | `setParameter(java.lang.String name, java.lang.Object value)` DOM Level 3 WD - Experimental.
`void` | `setProperty(java.lang.String propertyId, java.lang.Object value)` setProperty

Methods inherited from class org.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties, checkFeature, getFeature, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getFeature, getProperty`

Field Detail

### XERCES_VALIDATION

    protected static final java.lang.String XERCES_VALIDATION

  Feature identifier: validation.

### XERCES_NAMESPACES

    protected static final java.lang.String XERCES_NAMESPACES

  Feature identifier: namespaces.

### SCHEMA

    protected static final java.lang.String SCHEMA

### DYNAMIC_VALIDATION

    protected static final java.lang.String DYNAMIC_VALIDATION

### NORMALIZE_DATA

    protected static final java.lang.String NORMALIZE_DATA

### SEND_PSVI

    protected static final java.lang.String SEND_PSVI

  sending psvi in the pipeline

### ENTITY_MANAGER

    protected static final java.lang.String ENTITY_MANAGER

  Property identifier: entity manager.

### ERROR_REPORTER

    protected static final java.lang.String ERROR_REPORTER

  Property identifier: error reporter.

### XML_STRING

    protected static final java.lang.String XML_STRING

  Property identifier: xml string.

### SYMBOL_TABLE

    protected static final java.lang.String SYMBOL_TABLE

  Property identifier: symbol table.

### GRAMMAR_POOL

    protected static final java.lang.String GRAMMAR_POOL

  Property id: Grammar pool

### ERROR_HANDLER

    protected static final java.lang.String ERROR_HANDLER

  Property identifier: error handler.

### ENTITY_RESOLVER

    protected static final java.lang.String ENTITY_RESOLVER

  Property identifier: entity resolver.

### JAXP_SCHEMA_LANGUAGE

    protected static final java.lang.String JAXP_SCHEMA_LANGUAGE

  Property identifier: JAXP schema language / DOM schema-type.

### JAXP_SCHEMA_SOURCE

    protected static final java.lang.String JAXP_SCHEMA_SOURCE

  Property identifier: JAXP schema source/ DOM schema-location.

### VALIDATION_MANAGER

    protected static final java.lang.String VALIDATION_MANAGER

### features

    protected short features

  Normalization features

### NAMESPACES

    protected static final short NAMESPACES

### DTNORMALIZATION

    protected static final short DTNORMALIZATION

### ENTITIES

    protected static final short ENTITIES

### CDATA

    protected static final short CDATA

### SPLITCDATA

    protected static final short SPLITCDATA

### COMMENTS

    protected static final short COMMENTS

### VALIDATE

    protected static final short VALIDATE

### PSVI

    protected static final short PSVI

### fSymbolTable

    protected SymbolTable fSymbolTable

  Symbol table.

### fComponents

    protected java.util.Vector fComponents

  Components.

### fValidationManager

    protected ValidationManager fValidationManager

### fLocale

    protected java.util.Locale fLocale

  Locale.

### fErrorReporter

    protected XMLErrorReporter fErrorReporter

  Error reporter

### fErrorHandlerWrapper

    protected final DOMErrorHandlerWrapper fErrorHandlerWrapper

Constructor Detail

### DOMConfigurationImpl

    protected DOMConfigurationImpl()

  Default Constructor.

### DOMConfigurationImpl

    protected DOMConfigurationImpl(SymbolTable symbolTable)

  Constructs a parser configuration using the specified symbol table.
  Parameters:
    `symbolTable` - The symbol table to use.

### DOMConfigurationImpl

    protected DOMConfigurationImpl(SymbolTable symbolTable,
                                   org.apache.xerces.xni.parser.XMLComponentManager parentSettings)

  Constructs a parser configuration using the specified symbol table and parent settings.
  Parameters:
    `symbolTable` - The symbol table to use.
    `parentSettings` - The parent settings.

Method Detail

### parse

    public void parse(org.apache.xerces.xni.parser.XMLInputSource inputSource)
               throws org.apache.xerces.xni.XNIException,
                      java.io.IOException

  Parse an XML document.

  The parser can use this method to instruct this configuration to begin parsing an XML document from any valid input source (a character stream, a byte stream, or a URI).

  Parsers may not invoke this method while a parse is in progress. Once a parse is complete, the parser may then parse another XML document.

  This method is synchronous: it will not return until parsing has ended. If a client application wants to terminate parsing early, it should throw an exception.

  Specified by:
    `parse` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `source` - The input source for the top-level of the XML document.
  Throws:
    `org.apache.xerces.xni.XNIException` - Any XNI exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the parser.

### setDocumentHandler

    public void setDocumentHandler(org.apache.xerces.xni.XMLDocumentHandler documentHandler)

  Sets the document handler on the last component in the pipeline to receive information about the document.
  Specified by:
    `setDocumentHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `documentHandler` - The document handler.

### getDocumentHandler

    public org.apache.xerces.xni.XMLDocumentHandler getDocumentHandler()

  Returns the registered document handler.
  Specified by:
    `getDocumentHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### setDTDHandler

    public void setDTDHandler(org.apache.xerces.xni.XMLDTDHandler dtdHandler)

  Sets the DTD handler.
  Specified by:
    `setDTDHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `dtdHandler` - The DTD handler.

### getDTDHandler

    public org.apache.xerces.xni.XMLDTDHandler getDTDHandler()

  Returns the registered DTD handler.
  Specified by:
    `getDTDHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### setDTDContentModelHandler

    public void setDTDContentModelHandler(org.apache.xerces.xni.XMLDTDContentModelHandler handler)

  Sets the DTD content model handler.
  Specified by:
    `setDTDContentModelHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `handler` - The DTD content model handler.

### getDTDContentModelHandler

    public org.apache.xerces.xni.XMLDTDContentModelHandler getDTDContentModelHandler()

  Returns the registered DTD content model handler.
  Specified by:
    `getDTDContentModelHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### setEntityResolver

    public void setEntityResolver(org.apache.xerces.xni.parser.XMLEntityResolver resolver)

  Sets the resolver used to resolve external entities. The EntityResolver interface supports resolution of public and system identifiers.
  Specified by:
    `setEntityResolver` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `resolver` - The new entity resolver. Passing a null value will uninstall the currently installed resolver.

### getEntityResolver

    public org.apache.xerces.xni.parser.XMLEntityResolver getEntityResolver()

  Return the current entity resolver.
  Specified by:
    `getEntityResolver` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Returns:
    The current entity resolver, or null if none has been registered.
  See Also:
    `setEntityResolver(org.apache.xerces.xni.parser.XMLEntityResolver)`

### setErrorHandler

    public void setErrorHandler(org.apache.xerces.xni.parser.XMLErrorHandler errorHandler)

  Allow an application to register an error event handler.

  If the application does not register an error handler, all error events reported by the SAX parser will be silently ignored; however, normal processing may not continue. It is highly recommended that all SAX applications implement an error handler to avoid unexpected bugs.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setErrorHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `errorHandler` - The error handler.
  Throws:
    `java.lang.NullPointerException` - If the handler argument is null.
  See Also:
    `getErrorHandler()`

### getErrorHandler

    public org.apache.xerces.xni.parser.XMLErrorHandler getErrorHandler()

  Return the current error handler.
  Specified by:
    `getErrorHandler` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Returns:
    The current error handler, or null if none has been registered.
  See Also:
    `setErrorHandler(org.apache.xerces.xni.parser.XMLErrorHandler)`

### setFeature

    public void setFeature(java.lang.String featureId,
                           boolean state)
                    throws org.apache.xerces.xni.parser.XMLConfigurationException

  Set the state of a feature. Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.
  Specified by:
    `setFeature` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `setFeature` in class `ParserConfigurationSettings`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
    `state` - The requested state of the feature (true or false).
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - If the requested feature is not known.

### setProperty

    public void setProperty(java.lang.String propertyId,
                            java.lang.Object value)
                     throws org.apache.xerces.xni.parser.XMLConfigurationException

  setProperty
  Specified by:
    `setProperty` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Overrides:
    `setProperty` in class `ParserConfigurationSettings`
  Parameters:
    `propertyId` -
    `value` -

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws org.apache.xerces.xni.XNIException

  Set the locale to use for messages.
  Specified by:
    `setLocale` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`
  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    `org.apache.xerces.xni.XNIException` - Thrown if the parser does not support the specified locale.

### getLocale

    public java.util.Locale getLocale()

  Returns the locale.
  Specified by:
    `getLocale` in interface `org.apache.xerces.xni.parser.XMLParserConfiguration`

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.Object value)
                      throws org.w3c.dom.DOMException

  DOM Level 3 WD - Experimental. setParameter
  Specified by:
    `setParameter` in interface `org.apache.xerces.dom3.DOMConfiguration`
  Following copied from interface: `org.apache.xerces.dom3.DOMConfiguration`
  Parameters:
    `name` - The name of the parameter to set.
    `value` - The new value or `null` if the user wishes to unset the parameter. While the type of the value parameter is defined as `DOMUserData`, the object type must match the type defined by the definition of the parameter. For example, if the parameter is `"error-handler"`, the value must be of type `DOMErrorHandler`. Should we allow implementations to raise exception if the type does not match? INVALID_ACCESS_ERR seems the closest exception code...
  Throws:
    `org.w3c.dom.DOMException` - NOT_SUPPORTED_ERR: Raised when the parameter name is recognized but the requested value cannot be set.
    NOT_FOUND_ERR: Raised when the parameter name is not recognized.

### getParameter

    public java.lang.Object getParameter(java.lang.String name)
                                  throws org.w3c.dom.DOMException

  DOM Level 3 WD - Experimental. getParameter
  Specified by:
    `getParameter` in interface `org.apache.xerces.dom3.DOMConfiguration`
  Following copied from interface: `org.apache.xerces.dom3.DOMConfiguration`
  Parameters:
    `name` - The name of the parameter.
  Returns:
    The current object associated with the specified parameter or `null` if no object has been associated or if the parameter is not supported. "by a DOM application" prevents a DOM implementation to return its default behavior (such as the default "schema-type") if any.
  Throws:
    `org.w3c.dom.DOMException` - NOT_FOUND_ERR: Raised when the parameter name is not recognized.

### canSetParameter

    public boolean canSetParameter(java.lang.String name,
                                   java.lang.Object state)

  DOM Level 3 WD - Experimental. canSetParameter
  Specified by:
    `canSetParameter` in interface `org.apache.xerces.dom3.DOMConfiguration`
  Following copied from interface: `org.apache.xerces.dom3.DOMConfiguration`
  Parameters:
    `name` - The name of the parameter to check.
    `value` - An object. if `null`, the returned value is `true`.
  Returns:
    `true` if the parameter could be successfully set to the specified value, or `false` if the parameter is not recognized or the requested value is not supported. This does not change the current value of the parameter itself.

### reset

    protected void reset()
                  throws org.apache.xerces.xni.XNIException

  reset all components before parsing

### checkProperty

    protected void checkProperty(java.lang.String propertyId)
                          throws org.apache.xerces.xni.parser.XMLConfigurationException

  Check a property. If the property is known and supported, this method simply returns. Otherwise, the appropriate exception is thrown.
  Overrides:
    `checkProperty` in class `ParserConfigurationSettings`
  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Throws:
    `org.apache.xerces.xni.parser.XMLConfigurationException` - If the requested feature is not known or supported.

### addComponent

    protected void addComponent(org.apache.xerces.xni.parser.XMLComponent component)

### createValidationManager

    protected ValidationManager createValidationManager()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.